%define name	tkisem
%define version	4.5.12
%define release	6mdk

Summary:	TK Instructional SPARC EMulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Emulators
License:	GPL
URL:		http://www.cs.unm.edu/~johnk/
Source0:	http://www.cs.unm.edu/~johnk/tkisem-4.5.12.tar.bz2
Source1:	http://www.cs.unm.edu/~johnk/labman.ps.bz2
Source2:	http://www.cs.unm.edu/~johnk/refcard.ps.bz2
Requires:	binutils-isem >= 2.15.90.0.3-3mdk
Requires:	tk
BuildRequires:	binutils-isem >= 2.15.90.0.3-3mdk
BuildRequires:	tk
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description 
ISEM is the Instructional SPARC EMulator from the University of New
Mexico. It emulates the SPARC instruction set architecture as well as
providing a graphical front end and debugging capabilities. ISEM is
usually used to teach the basics of RISC microprocessor architectures.

Note: The source package for this RPM does **not** contain the sources
for the SPARC assembler and linker tools (as-isem, ld-isem and
nm-isem). These are compiled from the GNU binutils package as
described in the INSTALL file.

%prep
%setup -q

%__install -m 644 %{SOURCE1} .
%__install -m 644 %{SOURCE2} .

%build
%configure 
%__perl -p -i -e 's|LIBDIR =.*|LIBDIR =    \$(prefix)/lib/%name |' \
  build/make.config
%__perl -p -i -e 's|, GX_cmd,|, (Tcl_CmdProc *) GX_cmd,|' \
  src/tkisem/isemGX.cpp
%make

%install
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_libdir}/%{name}

%makeinstall
%__perl -p -i -e 's|set libdir.*\n|set libdir %{_libdir}/%{name}\n|' \
  generic/tkisem
%__install -m 755 generic/tkisem %{buildroot}%{_bindir}
%__install -m 755 generic/tclisem %{buildroot}%{_bindir}

%clean
%__rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc README INSTALL copyright.notice rel_notes.txt labman.ps.bz2 refcard.ps.bz2
%{_bindir}/tkisem
%{_bindir}/tclisem
%{_bindir}/gxisem
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/tkisem.so
%{_libdir}/%{name}/isem_rom
%{_libdir}/%{name}/isem_rom.s
%{_libdir}/%{name}/isem_vec.s
%{_libdir}/%{name}/isem_com.tcl
%{_libdir}/%{name}/isemhelp.txt
%{_libdir}/%{name}/fpulib.o
%{_libdir}/%{name}/glue.o
%{_libdir}/%{name}/iulib.o

%changelog
* Sun Oct 24 2004 David Walluck <walluck@mandrake.org> 4.5.12-6mdk
- release

* Sat Feb 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.5.12-5plf
- ppc rebuild
- fix reloaction of lib/unpackaged files

* Sat Apr 26 2002 Stefan van der Eijk <stefan@eijk.nu> 4.5.12-4plf
- BuildRequires

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 4.5.12-3plf 
- cleanup

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 4.5.12-2plf
- fix inclusion of postscript files
- bzip2 the postscript files
- fix URL tag

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 4.5.12-1plf
- release
